package sample.activity;
import java.util.*;
import com.poscoict.glueframework.biz.activity.*;
import com.poscoict.glueframework.biz.control.*;
import com.poscoict.glueframework.context.*;
import com.poscoict.glueframework.dao.*;
import com.poscoict.glueframework.dao.vo.*;
public class DeptUpsert extends GlueActivity<GlueContext> {
    public String runActivity( GlueContext ctx ) {
        GlueGenericDao dao = this.getDao( this.getProperty( "dao" ) );
        String type = this.getProperty( "dml-type" );
        int cnt = 0;
        if ( "insert".equals( type ) ) {
            String[] paramNames = this.getProperty( "insert-params" ).split( "," );
            List<Object> paramList = new ArrayList<Object>();
            for ( String name : paramNames ){
                Object value = ctx.get( name );
                if ( value instanceof Object[] )
                    paramList.add( ( (Object[])value )[0] );
                else
                    paramList.add( value );
            }
            cnt += dao.insert( this.getProperty( "insert-sql" )
                             , new GlueParameter<List<Object>>( paramList ) );
            this.logger.info( "{} ϵǾϴ", cnt );
        } else if ( "update".equals( type ) ) {
            String paramInfo
                = this.getProperty( "update-params" );
            String[] paramNames = paramInfo.split( "," );
            String loop = this.getProperty( "update-loop" );
            if ( ctx.get( loop ) != null ) {
                this.logger.debug( "");
                String[] checked = (String[]) ctx.get( loop );
                for ( String chk : checked ) {
                    int idx = Integer.parseInt( chk );
                    this.logger.debug( " {}", idx+1);
                    List<Object> paramList = new ArrayList<Object>();
                    for ( String name : paramNames ) {
                        Object value = ctx.get( name );
                        if ( value instanceof Object[] )
                            paramList.add( ((Object[])value)[idx] );
                        else
                            paramList.add( value );
                    }
                    cnt += dao.update( this.getProperty( "update-sql" )
                                       , new GlueParameter<List<Object>>( paramList ) );
                }
                this.logger.info( "{} Ǿϴ", cnt );
            }else {
                List<Object> paramList
                    = new ArrayList<Object>();
                for ( String name : paramNames ) {
                    Object value = ctx.get( name );
                    if ( value instanceof Object[] )
                        paramList.add( ((Object[])value)[0] );
                    else
                        paramList.add( value );
                }
                cnt += dao.update( this.getProperty( "update-sql" )
                                   , new GlueParameter<List<Object>>( paramList ) );
                this.logger.info( "{} Ǿϴ", cnt );
            }
            ctx.put( this.getProperty( "result-key" ), cnt );
        }else {
            this.logger.warn( "{}  ʽϴ.", type );
            ctx.put( this.getProperty( "result-key" ), "not supported" );
        }
        ctx.put( this.getProperty( "result-key" ), cnt );
        return GlueBizControlConstants.SUCCESS;
    }
}