package sample.activity;

import com.poscoict.glueframework.biz.activity.GlueActivity;
import com.poscoict.glueframework.biz.activity.GlueActivityConstants;
import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.context.GlueContext;

public class Hello extends GlueActivity<GlueContext> {
    // Do not define the Class Member Variable!!
    public String runActivity(GlueContext ctx) {

        this.logger.debug( "ServiceName : {}", ctx.get( GlueBizControlConstants.SERVICE_NAME ) );
        this.logger.debug( "activity name : {}", this.getName() );
        
        String resultkey = this.getProperty(GlueActivityConstants.RESULT_KEY);
        if(resultkey==null){
            resultkey = this.getName()+"_result";
        }

        Object obj = "Hello !!";
        ctx.put(resultkey, obj);
        
        this.logger.debug( "context : {}", ctx.toString() );

        return GlueBizControlConstants.SUCCESS;
    }
}