package test;

import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.biz.control.GlueBizController;
import com.poscoict.glueframework.biz.control.GlueBizProvider;
import com.poscoict.glueframework.context.GlueContext;
import com.poscoict.glueframework.context.GlueDefaultContext;

public class TestCacheLoader
{
    public static void main( String[] args )
    {
        GlueContext ctx = new GlueDefaultContext();
        ctx.put( GlueBizControlConstants.SERVICE_NAME, "hello-cache-service" );
        ctx.put( "usingLoader", "1" );
        ctx.put( "condition", "flower" );

        GlueBizController controller = GlueBizProvider.getController();
        controller.doAction( ctx );

        System.out.println( ctx.get( "result" ) );
    }
}