package sample.activity;

import java.util.ArrayList;
import java.util.List;

import com.poscoict.glueframework.biz.activity.GlueActivity;
import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.context.GlueContext;
import com.poscoict.glueframework.message.GlueMESMessageImpl;
import com.poscoict.glueframework.message.GlueMessage;

public class BizLogic_CreateMessageObj extends GlueActivity<GlueContext>
{
    // Do not define the Class Member Variable!!
    @Override
    public String runActivity( GlueContext ctx )
    {
        GlueMessage message = ctx.getMessage();

        List<GlueMessage> msgObjList = new ArrayList<GlueMessage>();
        for ( int i=0; i<3; i++ )
        {
            GlueMessage messageObj = new GlueMESMessageImpl();
            messageObj.setTCID( "MSGSEND1" );
            messageObj.setObject( "TRANSACTION_CODE", "MSGSEND1" );
            messageObj.setObject( "EMPNO", (1000+i+1) );
            messageObj.setObject( "ENAME", "̸"+(i+1) );
            messageObj.setObject( "JOB", ""+(i+1) );
            if(i==0)
                messageObj.setObject( "MGR", 1000 );
            messageObj.setObject( "HIREDATE", "20140501" );
            messageObj.setObject( "SAL", 1111 );
            messageObj.setObject( "COMM", 10+(i+1) );
            messageObj.setObject( "DEPTNO", message.get( "DEPTNO" ) );
            msgObjList.add( messageObj );
        }

        ctx.put( "messageObj", msgObjList );
        return GlueBizControlConstants.SUCCESS;
    }
}