package sample.activity;

import com.poscoict.glueframework.biz.activity.GlueActivity;
import com.poscoict.glueframework.context.GlueContext;

public class ChangeNextMessage extends GlueActivity<GlueContext>
{
    // Do not define the Class Member Variable!!
    @Override
    public String runActivity( GlueContext ctx )
    {
        Object idx = ctx.get( "tc-idx" );
        if ( idx == null ){
            idx = new Integer( 0 );
        }
        int total = ctx.getMessages().size();
        int current = ( (Integer) idx ).intValue() + 1;
        ctx.put( "tc-idx", new Integer( current ) );
        if ( current == total )
        {
            return "last";
        } else
        {
            ctx.putAll( ctx.getMessages().get( current ).getAttributes() );
            return "next";
        }
    }
}
