package test;


import com.poscoict.glueframework.GlueException;
import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.biz.control.GlueBizController;
import com.poscoict.glueframework.biz.control.GlueBizProvider;
import com.poscoict.glueframework.context.GlueContext;
import com.poscoict.glueframework.context.GlueDefaultContext;

public class TestCase2
{
    public static void main( String[] args )
    {
        GlueContext ctx = new GlueDefaultContext();
        ctx.put( GlueBizControlConstants.SERVICE_NAME, "hello-exception-service" );
        ctx.put( "input", "Glue" );
        ctx.put( "case2", "1" );

        try{
            GlueBizController controller = GlueBizProvider.getController();
            controller.doAction( ctx );
        }catch(GlueException e){
            System.out.println("controller layer :" + e.getMessage());
        }

        System.out.println( ctx.get( "result" ) );
    }
}