<%@ page contentType="text/html;charset=UTF-8"%>
<%@ page import="com.poscoict.glueframework.context.GlueStaticContext" %>
<%@ page import="com.poscoict.glueframework.biz.control.GlueBizControlConstants" %>
<%@ page import="java.util.*" %>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>sample-basic</title>
</head>
<body>
<div>
MyResource_en_US.properties 의 내용
<pre>
msg001=Good Morning!
msg002=Hi, {0}.
msg003=temperature : {0}, Humidity : {1}, Lux : {2}
</pre>
MyResource_ko_KR.properties (encoding 전) 의 내용
<pre>
msg001=좋은 아침입니다!
msg002={0}님, 안녕하세요.
msg003=온도 : {0}, 습도 : {1}, 조도 : {2}
</pre>
</div>
<hr>
<%
Locale locale_glue = Locale.getDefault();
Locale locale_request = request.getLocale();
String msgLocale = GlueStaticContext.getGlueProperty( GlueBizControlConstants.GLUE_DEFAULT_MSG_LOCALE );
String[] spLocale = msgLocale.split( "_" );// ko_KR
if ( ( spLocale != null ) && ( spLocale.length > 1 ) )
{
    locale_glue = new Locale( spLocale[0], spLocale[1] );
}
String key = request.getParameter( "key" )==null?"msg001":request.getParameter( "key" );
String arg1 = request.getParameter( "arg1" );
String arg2 = request.getParameter( "arg2" );
String arg3 = request.getParameter( "arg3" );
%>
User Locale : <%= locale_request %><br>
System Locale : <%= locale_glue %> (glue.properties 의 'default.msg.locale')<br>
<hr>
<form method="POST">
key : <input type="text" name="key"/><br>
arg : <input type="text" name="arg1" size=5>
<input type="text" name="arg2" size=5>
<input type="text" name="arg3" size=5><br>
<input type="submit" value=test>
</form>
<hr>
<%
if(request.getParameter( "key" )!=null && request.getParameter( "key" ).startsWith("msg00")){
    if(key.equals("msg001")){
%>
System Locale : <%= GlueStaticContext.getResourceMessage(key, null, locale_glue) %><br>
User Locale : <%= GlueStaticContext.getResourceMessage(key, null, locale_request ) %><%
    }else{
        String[] arg = {request.getParameter( "arg1" ), request.getParameter( "arg2" ), request.getParameter( "arg3" )};
        %>
System Locale : <%= GlueStaticContext.getResourceMessage(key, arg, locale_glue) %><br>
User Locale : <%= GlueStaticContext.getResourceMessage(key, arg, locale_request ) %><%
    }
}
%>
</body>
</html>