package sample.activity;

import java.util.ArrayList;
import java.util.List;

import com.poscoict.glueframework.biz.activity.GlueActivity;
import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.context.GlueContext;
import com.poscoict.glueframework.message.GlueMESMessageImpl;
import com.poscoict.glueframework.message.GlueMessage;

public class BizLogic_CreateMessageObj_G extends GlueActivity<GlueContext>
{
    // Do not define the Class Member Variable!!
    @Override
    public String runActivity( GlueContext ctx )
    {
        GlueMessage message = ctx.getMessage();
        GlueMessage messageObj = new GlueMESMessageImpl();
        messageObj.setTCID( "MSGSEND2" );
        messageObj.setObject( "TRANSACTION_CODE", "MSGSEND2" );
        messageObj.setObject( "CRUD", message.get( "CRUD" ) );
        messageObj.setObject( "DEPTNO", message.get( "DEPTNO" ) );
        messageObj.setObject( "DNAME", message.get( "DNAME" ) );
        messageObj.setObject( "DLOC", message.get( "DLOC" ) );
        List<Object> empno = new ArrayList<Object>();
        empno.add( 1101 );
        empno.add( 1102 );
        empno.add( 1103 );
        List<Object> ename = new ArrayList<Object>();
        ename.add( "̸1" );
        ename.add( "̸2" );
        ename.add( "̸3" );
        messageObj.setObject( "EMPNO", empno );
        messageObj.setObject( "ENAME", ename );
        ctx.put( "messageObj", messageObj );
        return GlueBizControlConstants.SUCCESS;
    }
}