package sample;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.web.servlet.handler.HandlerInterceptorAdapter;

public class CheckSessionInterceptor extends HandlerInterceptorAdapter
{

    @Override
    public boolean preHandle( HttpServletRequest request, HttpServletResponse response, Object handler ) throws Exception
    {
        if(request.getSession().getAttribute("userId") != null)
        {
            return true;
        } else {
            response.sendRedirect("login.jsp");
            return false;
        }
    }
}
